@extends('contractor.layout.master')
@section('ptitle','Contractor')
@section('page_title', 'Dashboard')
@section('subpage', 'Graph & Summary Report')
@section('img_profile', asset($user->StaffDetail->user_pic))
@section('login_name', $user->StaffDetail->name )
@section('last_login', $user->last_login_at )

@section('content')
	<style>
		.ui-tabs .ui-tabs-nav li.ui-tabs-active a { color: #EA5730 !important; }
		.ui-widget-content .bRed { color: #fff !important; }
	</style>
	<!-- Table dealer -->
	<div class="fluid">
		<div class="widget grid12">		
			<div class="whead"><h6>Installer's List</h6></div>
			<div id="dyn1" class="shownpars cuss responsive">
				<a class="tOptions" title="Options"><img src="{{ url('assets/img/icons/options') }}" alt="" /></a>
				<table id="agent" cellpadding="0" cellspacing="0" border="0" class="dTable tMedia" width="100%">
					<thead>
						<tr>
							<th>#</th>
							<th>Image</th>
							<th>Contractor Name</th>
							<th>NRIC</th>
							<th>Email</th>
							<th>Contact No.</th>
							<th>Vendor</th>
							<th>Position</th>
							<th width="90">Actions</th>
						</tr>
					</thead>
				</table>
			</div> 		
			<div class="dialog-delete" title="Delete Installer">
		        <p id="inner-delete"></p>
		    </div>		
		</div>
	</div>
@endsection

@section('external_js')
<script>
	function deleteA(cid,name,email) {
		var cid = cid;
		var name = name;
		var email = email;

		$('.dialog-delete').attr('data-id' , cid); 
		document.getElementById("inner-delete").innerHTML = "<p>Are you sure want to delete this Installer ( " + name + " )?</p>";

		$('.dialog-delete').dialog('open');
		return false;
	};

	$(document).ready(function(){

		var origin   = window.location.origin; 

			//===== Dynamic table toolbars =====//		
			
			$('#dyn1 .tOptions').click(function () {
				$('#dyn .tablePars').slideToggle(200);
			});	
			
			$('.tOptions').click(function () {
				$(this).toggleClass("act");
			});
			
			//======= Filter data table ========//

			$('#agent').DataTable({
				"bJQueryUI": false,
				"bAutoWidth": true,
				"bSort": false,
				"sPaginationType": "full_numbers",
				"sDom": '<"tablePars"fl>t<"tableFooter"ip>',
				"oLanguage": {
					"sLengthMenu": "<span class='showentries'>Show entries:</span> _MENU_"
				},
				"ordering": false,
				"serverSide": true,
				"processing": true,
				"ajax": "{{ url('/contractor/team/get-team-list') }}",
				"columns": [
				{ "data": "index","name": "index"},
				{ "data": "user_pic","name": "user_pic"},
				{ "data": "name","name": "name"},
				{ "data": "ic","name": "ic"},
				{ "data": "email","name": "email"},
				{ "data": "phone","name": "phone"},
				{ "data": "company_id", "name": "company_id"},
				{ "data": "position","name": "position"},
				{ "data": "action","name": "action"}, 
				],	
				 "columnDefs": [
					{
						"render": function ( data, type, row ) {
							if (data.indexOf("New/") >= 0) {
								var split = data.split('/');
								return '<small class="label label-warning">'+split[0]+'</small>&nbsp;'+split[1];
							}else {
								return data;
							}
						},
						"targets": 0
					},
					{
						"render": function ( data, type, row ) {
							var link = "{{ url('/contractor/team/edit') }}"+"/"+data;
							return '<a href="'+link+'" class="tablectrl_medium bLightBlue tipS" title="Edit Agent"><span class="iconb" data-icon="&#xe003;"></span></a> <a class="tablectrl_medium bRed tipS delModule" onclick="deleteA(\''+data+'\',\'' + row.name + '\',\'' + row.email + '\', )" title="Delete Agent"><span class="iconb" data-icon="&#xe136;"></span></a>';
						},
						"targets": 8
					},

					{
						"render": function ( data, type, row ) {
							return '<img src="{{url('')}}/'+row.user_pic+'" alt="" width="37px" height="36px">';
						},
						"targets": 1
					},
				],			
			});	

			//===== Modal =====//
			$('.dialog-delete').dialog({
				autoOpen: false, 
				width: 400,
				modal: true,
				buttons: {
					"Yes!": function () {
						var id = $(this).data('id');
						$.ajax({
							type: "POST",
							url: "{{ url('/contractor/team/delete-installer') }}",
							data: { "_token": "{{ csrf_token() }}", id: id },
							success:function(data)
							{
								if(data == "true"){
									window.location.reload();
								}else if(data == "false"){
									alert("ERROR!! Cant Delete Installer !");
								}
							}
						});
					},
					"Cancel": function () {
						$(this).dialog("close");
						$('.dialog-delete').removeAttr('data-id'); 
					}
				}
			});		

			$('.tipS').tipsy({gravity: 's',fade: true, html:true});
		});
	</script>
@endsection